package it.integry.integrywmsnative.gest.prod_versamento_materiale.dto;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.di.BindableBigDecimal;
import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.core.model.MtbAart;

public class VersamentoMerceOrdineLavListModel {

    private String preDescriptionText;
    private String descriptionText;
    private String subDescriptionText;
    private String subDescription2Text;

    private final BindableBigDecimal qtaBigDecimal = new BindableBigDecimal(BigDecimal.ZERO);
    private final BindableBigDecimal numCnfBigDecimal = new BindableBigDecimal(BigDecimal.ZERO);

    private OrdineLavorazioneDTO originalOrdineLavorazione;
    private MtbAart originalMtbAart;

    private BindableBoolean selected = new BindableBoolean();

    public String getPreDescriptionText() {
        return preDescriptionText;
    }

    public VersamentoMerceOrdineLavListModel setPreDescriptionText(String preDescriptionText) {
        this.preDescriptionText = preDescriptionText;
        return this;
    }

    public String getDescriptionText() {
        return descriptionText;
    }

    public VersamentoMerceOrdineLavListModel setDescriptionText(String descriptionText) {
        this.descriptionText = descriptionText;
        return this;
    }

    public String getSubDescriptionText() {
        return subDescriptionText;
    }

    public VersamentoMerceOrdineLavListModel setSubDescriptionText(String subDescriptionText) {
        this.subDescriptionText = subDescriptionText;
        return this;
    }

    public String getSubDescription2Text() {
        return subDescription2Text;
    }

    public VersamentoMerceOrdineLavListModel setSubDescription2Text(String subDescription2Text) {
        this.subDescription2Text = subDescription2Text;
        return this;
    }

    public BigDecimal getQtaBigDecimal() {
        return qtaBigDecimal.get();
    }

    public BindableBigDecimal getQtaBigDecimalObservable() {
        return qtaBigDecimal;
    }

    public VersamentoMerceOrdineLavListModel setQtaBigDecimal(BigDecimal qtaBigDecimal) {
        this.qtaBigDecimal.set(qtaBigDecimal);
        return this;
    }

    public BigDecimal getNumCnfBigDecimal() {
        return numCnfBigDecimal.get();
    }

    public VersamentoMerceOrdineLavListModel setNumCnfBigDecimal(BigDecimal numCnfBigDecimal) {
        this.numCnfBigDecimal.set(numCnfBigDecimal);
        return this;
    }

    public OrdineLavorazioneDTO getOriginalOrdineLavorazione() {
        return originalOrdineLavorazione;
    }

    public VersamentoMerceOrdineLavListModel setOriginalOrdineLavorazione(OrdineLavorazioneDTO originalOrdineLavorazione) {
        this.originalOrdineLavorazione = originalOrdineLavorazione;
        return this;
    }

    public MtbAart getOriginalMtbAart() {
        return originalMtbAart;
    }

    public VersamentoMerceOrdineLavListModel setOriginalMtbAart(MtbAart originalMtbAart) {
        this.originalMtbAart = originalMtbAart;
        return this;
    }

    public BindableBoolean getSelected() {
        return selected;
    }

}
